## eigen2 2.0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     "The directory where we install the header files"
     FORCE)
 
-set(EIGEN_VERSION_NUMBER "2.0.15")
+set(EIGEN_VERSION_NUMBER "2.0.16")
 set(EIGEN_VERSION "${EIGEN_VERSION_NUMBER}")
 
 set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
