=== debian/changelog ===
eigen2 (2.0.16-2) unstable; urgency=low

  [ Anton Gladky ]
  * Disable qr-test due to failing its compilation on ARM.
  * Enable extra-verbose mode for tests.

  [ Modestas Vainius ]
  * Use relative path in builddirectory option.
  * Add myself to Uploaders.
  * Move doxygen-latex to Build-Depends-Indep, adjust rules accordingly.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 12 Jun 2011 17:14:02 +0300

eigen2 (2.0.16-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version 3.9.2 (no changes).
  * Switch to 3.0 (quilt) format.
  * Add doc-base file for documentation.
  * Add lintian-overrides to escape source-contains-hg-tags-file warning.
  * Remove extra "Section: libdevel" in debian/control.
  * Add debian/watch file.
  * Add upstream changelog.
  * Add libeigen2-doc.docs.
  * Change debian/compat to 8.
  * Raise up minimal debhelper version to 8.
  * Simplify libeigen2-dev.install.
  * Switch debian/rules from cdbs to debhelper.
  * Add .links file to prevent lintian warnings.
  * Remove quilt and cdbs from BD.
  * Update debian/copyright to DEP-5.
  * replace doxygen and texlive-* build dependencies with 
    doxygen-latex. (Closes: #616212)

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 30 May 2011 00:42:06 +0300

eigen2 (2.0.15-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add Vcs fields to debian/control.

  [ Ana Beatriz Guerrero Lopez ]
  * Fix FTBFS in hppa, patch build-snippets-with-O2. (Closes: #591576)
    It workarounds some kind of problem with the compiler flags order.
  * Update to Standards-Version 3.9.1, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 05 Aug 2010 11:40:59 -0400

eigen2 (2.0.14-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 27 Jun 2010 13:43:26 +0200

eigen2 (2.0.12-1) unstable; urgency=low

  * New upstream release. (Closes: #570961)

  [ Lisandro Damián Nicanor Pérez Meyer]
  * Bumped standars to 3.8.4.0, no changes needed.
  * Updated copyright file.

  [ Pino Toscano ]
  * Install the eigen2.pc pkgconfig file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 21 Apr 2010 03:20:17 +0200

eigen2 (2.0.5-2) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Make libeigen-doc Arch:all.

  +++ Changes by Armin Berres:

  * Build conflict with doxygen 1.6.0-1, it is buggy and can not build the
    documentation (Closes: #543485).
  * Add build dependencies texlive-latex-base and ghostscript.
  * Set DEB_DH_INSTALL_SOURCEDIR to debian/tmp and add libeigen2-dev.install,
    otherwise the package is empty (Closes: #543459).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Aug 2009 15:56:23 +0200

eigen2 (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Add libeigen2-doc.
  * Upgrade standards version to 3.8.3. No changes needed.
  * Update copyrights file.

 -- Armin Berres <armin+debian@space-based.de>  Sun, 23 Aug 2009 12:53:08 +0200

eigen2 (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Skip building the testcase if DEB_BUILD_OPTIONS=nocheck is set
    (Closes: #537408).

 -- Armin Berres <armin+debian@space-based.de>  Wed, 05 Aug 2009 01:41:58 +0200

eigen2 (2.0.3-1) unstable; urgency=low

  * New upstream release

 -- Armin Berres <armin+debian@space-based.de>  Sun, 21 Jun 2009 16:37:49 -0400

eigen2 (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Armin Berres <armin+debian@space-based.de>  Fri, 15 May 2009 13:09:51 -0400
