=== demos/CMakeLists.txt ===

add_subdirectory(mandelbrot)
add_subdirectory(opengl)
