=== debian/changelog ===
eigen2 (2.0.17-1ubuntu1) trusty; urgency=medium

  * debian/patches/disable-altivec.patch: powerpc doesn't support Altivec
    in the baseline ISA and the Altivec code in eigen2 breaks on ppc64el.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Mar 2014 22:01:43 -0600

eigen2 (2.0.17-1) unstable; urgency=low

  * New upstream release.
  * Move Eigen2 API documentation to the Programming/C++ doc-base section.
  * Update copyright-file. Clean warning (syntax-error-in-dep5-copyright).

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 25 Dec 2011 08:19:50 +0100
