=== debian/control ===
Source: eigen2
Section: libdevel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Armin Berres <armin+debian@space-based.de>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Anton Gladky <gladky.anton@gmail.com>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 8), cmake (>= 2.6.2), ghostscript
Build-Depends-Indep: doxygen-latex
Build-Conflicts: doxygen (= 1.6.0-1)
Standards-Version: 3.9.2
Homepage: http://eigen.tuxfamily.org
Vcs-Git: git://git.debian.org/pkg-kde/kde-req/eigen2.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/eigen2.git

Package: libeigen2-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libeigen2-doc
Description: lightweight C++ template library for linear algebra
 Eigen 2 is a lightweight C++ template library for vector and matrix math, 
 a.k.a. linear algebra.
 .
 Unlike most other linear algebra libraries, Eigen 2 focuses on the simple 
 mathematical needs of applications: games and other OpenGL apps, spreadsheets 
 and other office apps, etc. Eigen 2 is dedicated to providing optimal speed 
 with GCC.

Package: libeigen2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libeigen2-dev
Description: eigen2 API docmentation
 Eigen 2 is a lightweight C++ template library for vector and matrix math,
 a.k.a. linear algebra.
 .
 This package provides the complete eigen2 4 API documentation in HTML format.
